
'use client'
import useFastAnswerStore from "@/feature/messenger/components/fast_answer/useFastAnswerStore";
import { useTranslation } from "@/src/hooks/useTranslation";
import { Button, Tooltip } from "@nextui-org/react";
import { FaThumbtack } from "react-icons/fa";
import useResponsiveBtn from "@/feature/messenger/hooks/useReponsiveBtn";

export default function AnswerButton() {

    const setFastAnswerModal = useFastAnswerStore(state => state.setOpenModal);
    const { trans } = useTranslation();
    const { responsiveButtonFooter, responsiveIconButtonFooter } = useResponsiveBtn();

    return (
            <Tooltip
                placement="top"
                content={trans('footer_content_chat_answer_fast_title')}	
                color="default"
            >
                <Button color="primary" radius="full" className={responsiveButtonFooter} variant="flat" onClick={() => setFastAnswerModal()} >
                    <FaThumbtack size={14} className={responsiveIconButtonFooter} />
                </Button>
            </Tooltip>
    )
}